%-*- master: AgnusDei-Modern.ly;

\include "shorthands.ily"

agnusGlobal = {
  \hide Staff.BarLine
  \set Score.tempoHideNote = ##t
  %hide Time signature and Key signature at line break
  \once \override Score.TimeSignature.break-visibility = #end-of-line-invisible
  \once \set Staff.explicitKeySignatureVisibility = #end-of-line-invisible
  \key f \major

  %force C time signature
  \set Staff.timeSignatureFraction = #'(4 . 4)
  \time 2/1
}

agnusATipleOne = \relative c'' {
  \agnusGlobal
  \breveRest c1. bes2 a1. \m g2 \mE f c'1 c2 d4 \m c d e f2 g \mE f1 e2. d4 c1 g'2. \m f4 \mE e2 c d \m \origBreak
  c4 bes c1 \mE a \longaRest r1 c1. d2 e e d e d1 \m g,2 c a c1 \ficta b2 \mE c2 c c d c\breve c1 \origBreak
  \breveRest f,2. g4 a2 bes a1 g \breveRest g2. a4 bes2 c1 \ficta b2 c1 \breveRest a'2. g4 f2 d a'2. \m g8 f e2 d e1 \mE d

}
agnusATipleOneWords = \lyricmode {
  A -- gnus De -- i, Ag -- nus De -- i qui tol -- lis pec -- ca -- ta mun --
  di, qui tol -- lis pec -- ca -- ta mun -- di, pec -- ca -- ta mun -- di
  mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis,

}

agnusATenor = \relative c {
  \agnusGlobal
  \longaRest f1. g2 a2. \m bes4 c2 g \mE d'1 r2 c2 d1 e2 e f f d1 c \restFlip c1 d e \menRest e2 g \origBreak
  g2. f4 \[ e1 \m f \] \mE c1 \breveRest \semibreveRest r2 c2 d1 e2 e f d r2 bes c1 a2. bes4 c2 d c d \menRest e2 f2. e4 \origBreak
  d1 a2 bes2. c4 d2 e d1 e g2. f4 e2 d e1 f \restFlip r2 c4 d e2 f e1 f
}
agnusATenorWords = \lyricmode {
  A -- gnus De -- i qui tol -- lis pec -- ca -- ta mun -- di, qui tol -- lis pec --
  ca -- ta mun -- di, qui tol -- lis pec -- ca -- ta, qui tol -- lis pec -- ca -- ta mun -- di mi -- se
  re -- re, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis,

}

agnusABaxoOne = \relative c {
  \agnusGlobal
  f1. g2 a1. \m bes2 \mE c1 r1 f,1. e2 d1 \m a'2 g \mE a f g1 a \semibreveRest r2 f2 d f1 e2 f1 \origBreak
  \menRest d2 c2 g'1 c,2 c'1 \ficta b2 c\breve \breveRest \semibreveRest f,1 g a g c,2 c f bes, c1 f \semibreveRest f2. g4 a2 bes \origBreak
  f1. \m bes,2 \mE f'1 \tag #'mens {\longaRest} \tag #'mod { r1 R\breve r1} r2 c4 d e f g2 \m c,1 \mE f \menRest d2 d1 a'2 d,2. \m e4 \mE f2 a4 bes cis2 d1 cis2 d1

}
agnusABaxoOneWords = \lyricmode {
  A -- gnus De -- i, A -- gnus De -- i qui tol -- lis pec -- ca -- ta mun -- di,
  qui tol -- lis, qui tol -- lis pec -- ca -- ta mun -- di, pec -- ca -- ta mun -- di, mi -- se -- re -- re 
  no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re, mi -- se -- re -- re no -- bis,

}

agnusATipleTwo = \relative c'' {
  \agnusGlobal
  \longaRest \breveRest \menRest g2 f1 g2 a bes c c1 \m b2 \mE c2. bes4 a2 a \[ bes1 \m c \] \mE a \longaRest c1 d e2. f4 \origBreak
  g1 a g2 c, a c1 \m b2 \mE c1 \menRest d2 c2 g'1 g2 g f f1 e2 f\breve \breveRest a,2. bes4 c2 d c \m f \mE \origBreak
  d1 \semibreveRest g2. f4 e2 c g'1 g\breve r2 c,4 d e2 f e1 d \breveRest \menRest d2 a'2. g4 f2
}
agnusATipleTwoWords = \lyricmode {
  A -- gnus De -- i qui tol -- lis pec -- ca -- ta mun -- di, qui tol -- lis, qui
  tol -- lis pec -- ca -- ta mun -- di, qui tol -- lis pec -- ca -- ta mun -- di, mi -- se -- re -- re no -- 
  bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re --

}

agnusAAlto = \relative c'' {
  \agnusGlobal
  a1. g2 f4 \m e f g a2 g \mE 
  \override Score.FootnoteItem.annotation-line = ##f
   \footnote "*)" #'(0 . 3) "*) E in manuscript. See Critical Notes."
  f c'1 bes2 \[ a1 \m g \] \mE f1 \restFlip \menRest g2 a2 g1. \m f4 \mE e \m f g a2 \origBreak
  g1 \mE f2 f \[ e1 \m g \] \mE g\breve \breveRest \semibreveRest r2 e2 f e f1 \m e \mE f \semibreveRest \menRest g2 g a bes g1 f f\breve f\longa \origBreak
  g\breve g g\breve. a\longa a

}
agnusAAltoWords = \lyricmode {
  A -- gnus De -- i, A -- gnus De -- i, A -- gnus De --
  i qui tol -- lis pec -- ca -- ta mun -- di, pec -- ca -- ta mun -- di mi -- se --
  re -- re no -- bis mi --

}

agnusABaxoTwo = \relative c {
  \agnusGlobal
  \breveRest f1. g2 a1. \m bes2 \mE c1 r1 f,1. e2 \[ d1 \m c \] \mE f2 f g1 a\breve \semibreveRest \menRest a2 c2 a c1 \ficta b2 c c, \origBreak
  g'1 c,\breve \menRest bes1 \menRest d2 c2 d c \[ d1 \m c \] \mE f1 \semibreveRest \menRest a2 c2 a f c'1 a f2. g4 a2 bes f bes, \origBreak
  r2 f'1 f2 d1 g2 g4 a b2 c1 b2 c1 g c,2 g'2 g1 r2 a4 bes cis2 d1 cis2 d1 \menRest a2 a1 d,2 a'1 d,2 d

}
agnusABaxoTwoWords = \lyricmode {
  A -- gnus De -- i, A -- gnus De -- i qui tol -- lis pec -- ca -- ta mun -- di, qui
  tol -- lis pec -- ca -- ta mun -- di, pec -- ca -- ta mun -- di mi -- se -- re -- re no -- bis,
  mi -- se -- re -- re, mi -- se -- re -- re no -- bis, mi -- se -- re -- re, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- 

}

agnusBGlobal = {
  \hide Staff.BarLine
  \set Score.tempoHideNote = ##t
  \tag #'mod {%hide Time signature and Key signature 
  \once \override Score.TimeSignature.break-visibility = #all-invisible
  \once \set Staff.explicitKeySignatureVisibility = #all-invisible }
  \key f \major

  %force C time signature
  \set Staff.timeSignatureFraction = #'(4 . 4)
  \time 2/1
}

agnusBTipleOne = \relative c'' {
  \agnusBGlobal
  \breveRest r2 c4 d e2 f1 e4 \m d e1 \mE c \restFlip a2. bes4 c2 d e2. d4 c2 a e'\breve \m d \mE d \breveRest \menRest d2 d1 c2 g' g \origBreak
  c,1. \m g2 \mE a1 r1 c2. d4 e2 e f2. e4 d2 
  \override Score.FootnoteItem.annotation-line = ##f
   \footnote "*)" #'(0 . 1) "*) D in manuscript. See Critical Notes."
  g f f1 d2 f2 f 
  \tag #'mod {\once \override Score.TimeSignature.break-visibility = #all-invisible \time 3/1}
  d4 \m e \mE f2 f\breve
  \lastFinalis
}
agnusBTipleOneWords = \lyricmode {
  mi -- se -- re -- re no -- bis, mi -- se -- re -- re, mi -- se -- re -- re no -- bis, mi -- se -- re -- re 
  no -- bis, mi -- se -- re -- re, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis.

}

agnusBTenor = \relative c' {
  \agnusBGlobal
  r2 c4 d e2 f1 e4 \m d c2 d \mE g,\breve \breveRest a'2. g4 f2 d c \m a1 d2 \mE c\breve \breveRest r2 d4 e fis2 g1 fis2 g1 \origBreak
  \breveRest r1 r2 c,1 bes2 c2. d4 e1 f r1 f1 e d d2 c c f1 f2 d2. \m e4 \mE f2 d c\breve
  \lastFinalis
}
agnusBTenorWords = \lyricmode {
  mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis,
  mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis.

}

agnusBBaxoOne = \relative c {
  \agnusBGlobal
  \longaRest r2 c2. d4 e2 f2. \m g4 a2 bes \mE a1. \m bes2 \mE a1 \tag #'mens {\breveRest} \tag #'mod { r1 r1 } a2. bes4 \ficta cis2 d1 \ficta cis2 d1 r2 g,1 d2 g2. f4 e2 \m d c1 \mE d \origBreak
  r2 f2 g1 a \[ g1 \m f \] \mE \[ e \m f \] \mE c1 d2. c4 bes2 \m c \mE f a1 a2 bes bes \tag #'mens {bes1.} \tag #'mod {bes1~ bes2} \m a4 g \mE a1
  \lastFinalis
}
agnusBBaxoOneWords = \lyricmode {
  mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis,
  mi -- se -- re -- re no -- bis, mi -- se -- re -- re, mi -- se -- re -- re no -- bis.`

}

agnusBTipleTwo = \relative c''' {
  \agnusBGlobal
  g2 e1 \m d2 \mE c1 \menRest g1 \menRest g2 e2. f4 g2 a2. \m bes4 c2 d \mE c1 d2 r2 c2. bes4 a2. \m bes4 \mE c2 e2. d4 c2 a \m bes \mE a1 a \tag #'mens {\breveRest} \tag #'mod { r1 r1 } \menRest d2 g1 f2 e e \origBreak
  f1 c \breveRest \semibreveRest r2 f,2 g1 a g f1. \m e2 \mE \tag #'mens { f\longa. } \tag #'mod {f1~ f\breve~ f1~ f\breve}
  \lastFinalis
}
agnusBTipleTwoWords = \lyricmode {
  re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re, mi -- se -- re -- re no -- bis, mi -- se -- re -- re 
  no -- bis, mi -- se -- re -- re no -- bis. __

}

agnusBAlto = \relative c'' {
  \agnusBGlobal
  g\longa. f e\breve e f2 f4 g a2 bes1 a2 bes1 \menRest g2 a1 g2 f2. g4 a1 \m d,2. e4 \[ f1 g \] \mE c,1 r1 \menRest g'2 c1 g2 d'1. g,2 \origBreak
  \menRest bes2 c1 c2 bes2. \m c4 \mE  d2 bes c\breve
  \lastFinalis
}
agnusBAltoWords = \lyricmode {
  \italicize se -- re -- re \normal no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re,
  mi -- se -- re -- re no -- bis.

}

agnusBBaxoTwo = \relative c {
  \agnusBGlobal
  b2 c1 b2 c1. \m b2 \mE c\breve \breveRest f2. e4 d2 bes f'1. \m d2 \mE a' a1 a2 a g a1 d, \tag #'mens {\longaRest} \tag #'mod { r1 R\breve r1} r2 c'1 bes2 a1 g f c \origBreak
  \menRest a'2 c1 bes2 a2. bes4 c1 a2 a bes g a f1 f2 bes, bes bes1 f'\breve
  \lastFinalis
}
agnusBBaxoTwoWords = \lyricmode {
  se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis, mi -- se -- re -- re no -- bis,
  mi -- se -- re -- re no -- bis, mi -- se -- re -- re, mi -- se -- re -- re no -- bis.

}

