\version "2.19.81"

incipitMenRest = #(define-music-function (note)
                    (ly:music?)
                    #{
                      %{\tag #'mens%} $(make-music 'RestEvent note)
                      %\tag #'mod $(make-music 'RestEvent note 'pitch '())
                    #})

%KyrieA

incipitKyrieATipleOne = {
  \incipit {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 r\breve f''1. e''2 d''1
  }
  \removeIncipitOverrides
}

incipitKyrieATipleTwo = {
  \incipit {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 r\longa r1 f'\breve g' a'
  }
  \removeIncipitOverrides
}

incipitKyrieAAlto = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-c2" \key f \major \time 4/4 f1. g2 a1.
  }
  \removeIncipitOverrides
}

incipitKyrieATenor = {
  \incipit {
    \incipitOverrides
    \clef "petrucci-c3" \key f \major \time 4/4 r\longa r\breve r2 f'2. e'4 d'2
  }
  \removeIncipitOverrides
}

incipitKyrieABaxoOne = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 f1. e2 d1
  }
  \removeIncipitOverrides
}

incipitKyrieABaxoTwo = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 r\breve f1. g2 a
  }
  \removeIncipitOverrides
}

%Christe

incipitChristeTiple = {
  \incipit {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 r\breve \incipitMenRest d''2 f''1 e''2 f''
  }
  \removeIncipitOverrides
}

incipitChristeAlto = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-c2" \key f \major \time 4/4 f'1 g' a'2
  }
  \removeIncipitOverrides
}

incipitChristeTenor = {
  \incipit {
    \incipitOverrides
    \clef "petrucci-c3" \key f \major \time 4/4 r\breve f1 g \[ a g \]
  }
  \removeIncipitOverrides
}

incipitChristeBaxo = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 r2 f1 e2 f
  }
  \removeIncipitOverrides
}



%KyrieB

incipitKyrieBTipleOne = {
  \incipit {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 r1 c''1 e''2 g''
  }
  \removeIncipitOverrides
}

incipitKyrieBTipleTwo = {
  \incipit {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 r\longa r\longa \incipitMenRest d''\longa \incipitMenRest d''\breve \incipitMenRest d''2 f'1 a'2 c''
  }
  \removeIncipitOverrides
}

incipitKyrieBAlto = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-c2" \key f \major \time 4/4 f'1 a'2 c''
  }
  \removeIncipitOverrides
}

incipitKyrieBTenor = {
  \incipit {
    \incipitOverrides
    \clef "petrucci-c3" \key f \major \time 4/4 \incipitMenRest a2 f1 a2 c'
  }
  \removeIncipitOverrides
}

incipitKyrieBBaxoOne = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 r\longa r\longa r1 r2 c2 e g
  }
  \removeIncipitOverrides
}

incipitKyrieBBaxoTwo = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 r\longa r1 r2 c2 e g
  }
  \removeIncipitOverrides
}


%Sanctus

incipitSanctusTipleOne = {
  \incipit {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 \[ c''1 d'' \] \[e'' d'' \]
  }
  \removeIncipitOverrides
}

incipitSanctusTipleTwo = {
  \incipit {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 r\longa \[ f'1 a'\] c''
  }
  \removeIncipitOverrides
}

incipitSanctusAlto = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-c2" \key f \major \time 4/4 f\breve g a
  }
  \removeIncipitOverrides
}

incipitSanctusTenor = {
  \incipit {
    \incipitOverrides
    \clef "petrucci-c3" \key f \major \time 4/4 f2 a1 c'2
  }
  \removeIncipitOverrides
}

incipitSanctusBaxoOne = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 f2. e4 d c
  }
  \removeIncipitOverrides
}

incipitSanctusBaxoTwo = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 r\longa f2. e4 d c
  }
  \removeIncipitOverrides
}

%Osanna

%creates double time signatures for Osanna
#(define ((double-time-signature glyph a b) grob)
   (grob-interpret-markup grob
     (markup #:override '(baseline-skip . 2.5) #:number
       (#:line ((markup (#:fontsize 4 #:musicglyph glyph))
                (#:fontsize -1 #:column (a b)))))))


incipitOsannaTipleOne = {
  \incipit {
    \incipitOverrides
    \clef mensural-g \key f \major \override Score.TimeSignature.stencil =
    #(double-time-signature  "timesig.mensural34" "3" "2")
    c''\breve c''1
  }
  \removeIncipitOverrides
}

incipitOsannaTipleTwo = {
  \incipit {
    \incipitOverrides
    \clef mensural-g \key f \major \override Score.TimeSignature.stencil =
    #(double-time-signature  "timesig.mensural34" "3" "2")
    f'\breve g'1
  }
  \removeIncipitOverrides
}

incipitOsannaAlto = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-c2" \key f \major \override Score.TimeSignature.stencil =
    #(double-time-signature  "timesig.mensural34" "3" "2")
    a'\breve g'1
  }
  \removeIncipitOverrides
}

incipitOsannaTenor = {
  \incipit {
    \incipitOverrides
    \clef "petrucci-c3" \key f \major \override Score.TimeSignature.stencil =
    #(double-time-signature  "timesig.mensural34" "3" "2")
    f'\breve e'1
  }
  \removeIncipitOverrides
}

incipitOsannaBaxoOne = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \override Score.TimeSignature.stencil =
    #(double-time-signature  "timesig.mensural34" "3" "2")
    c'\breve c'1
  }
  \removeIncipitOverrides
}

incipitOsannaBaxoTwo = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \override Score.TimeSignature.stencil =
    #(double-time-signature  "timesig.mensural34" "3" "2")
    f\breve c1
  }
  \removeIncipitOverrides
}

%Benedictus

incipitBenedictusTiple = {
  \incipit \relative c'' {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 c\breve d e1
  }
  \removeIncipitOverrides
}

incipitBenedictusAlto = {
  \incipit \relative c' {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-c2" \key f \major \time 4/4 r1 f\breve g a
  }
  \removeIncipitOverrides
}

incipitBenedictusTenor = {
  \incipit \relative c' {
    \incipitOverrides
    \clef "petrucci-c3" \key f \major \time 4/4 r\longa  c\breve d e2
  }
  \removeIncipitOverrides
}

incipitBenedictusBaxo = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 r\longa r1 f\breve g a1
  }
  \removeIncipitOverrides
}

%Agnus

incipitAgnusTipleOne = {
  \incipit \relative c'' {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 r\breve c1. bes2 a1.
  }
  \removeIncipitOverrides
}

incipitAgnusTipleTwo = {
  \incipit \relative c'' {
    \incipitOverrides
    \clef mensural-g \key f \major \time 4/4 r\longa r\breve \incipitMenRest g2 f1 g2 a
  }
  \removeIncipitOverrides
}

incipitAgnusAlto = {
  \incipit \relative c'' {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-c2" \key f \major \time 4/4 a1. g2 f4
  }
  \removeIncipitOverrides
}

incipitAgnusTenor = {
  \incipit \relative c {
    \incipitOverrides
    \clef "petrucci-c3" \key f \major \time 4/4 r\longa f1. g2 a2.
  }
  \removeIncipitOverrides
}

incipitAgnusBaxoOne = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 f1. g2 a1.
  }
  \removeIncipitOverrides
}

incipitAgnusBaxoTwo = {
  \incipit {
    \incipitOverrides
    \override Staff.KeySignature.flat-positions = #'((-5 . 5))
    \clef "petrucci-f3" \key f \major \time 4/4 r\breve f1. g2 a1.
  }
  \removeIncipitOverrides
}
